Subject: Re: [PATCH] rename dirlink to gitlink.

From: Martin Waitz <[email-masked]>
Date: Tue, 22 May 2007 07:59:39 +0200

hoi :)

On Mon, May 21, 2007 at 04:32:51PM -0700, Junio C Hamano wrote:
> As an internal symbol, S_IFDIRLNK makes _much_ more sense than
> S_IFGITLINK, exactly because it is a mixture of S_IFDIR and
> S_IFLNK.

But then we also should be consequent and rename the entire
low-level plumbing to dirlink.  I don't see a reason to keep
both.

For me the S_ macro names are about the file type which is represented
by them.  The fact that dirlinks/gitlinks are represented as
DIR + LNK is nice but not so important that we have to name the
macro that way.

-- 
Martin Waitz